//
//  SMKishochoParser.h
//  KishochoApp
//
//  Created by Cyan K on 05/11/24.
//  cyanworks.net
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>
#import "SMUtil.h"

enum SMdaysOfWeather {
	SM3daysWeather,
	SM7daysWeather
};

@interface SMKishochoParser : NSObject {
}

#pragma mark Implementation
- (NSArray *)parseDocument:(DOMDocument *)document withMode:(unsigned int)mode;
- (NSArray *)parseData3:(NSMutableArray *)nodeArray;
- (NSArray *)parseData7:(NSMutableArray *)nodeArray;

@end
